#version 330

uniform sampler2DRect inputTex;
uniform float transitionProgress=1.0;
uniform float transitionAlpha=1.0;
uniform float baseAlpha=1.0;
uniform sampler2DRect maskTex;
in vec2 fsMaskTexture;

in vec2 fsTexture;
out vec4 outColor;

void main()
{
    outColor = texture(inputTex, fsTexture);
    outColor.rgba*=baseAlpha;
#ifdef USE_MASK
    outColor.a*=texture(maskTex,fsMaskTexture).a;
#endif
}


